:: Disclaimer: scripts are provided as-is and most of them use tools that are open source
:: or require a (small) license fee when used in a commercial environment. It is the 
:: responsibility of the end user that use scripts to respect the license agreement for
:: these tools. EFI can not be held responsible in any way if scripts don't behave like
:: they should do resulting in any form of financial loss or downtime. Have a good day.  

:: Detach the PDF from an MJM file submitted via DSF RPC by renaming part1 and part2 files in JobFlow Vault.
:: If JobFlow sees a part1 and part2 file in JobFlow Vault it will assume the PDF needs to be repackaged back in to an MJM when outputting to a Fiery.

:: 03-2019 - Hans Sep, First version

:: Fiery JobFlow provided arguments
set INPUT=%~1
set OUTPUT=%~2
set JOBNAME=%~n3
set WORKFLOW=%~4
set PREFLIGHT=%~5
set VAULT=%~6

:: Static arguments
set pathScript=%~dp0
set ScriptName=%~n0
set pathLog=%VAULT%\%ScriptName%.log
set pathInclude=%pathScript%\_include

:: Helper Apps

:: Main
:detach
move /y "%VAULT%\part1" "%VAULT%\%JOBNAME%.jmf"
if %ERRORLEVEL% NEQ 0 (
  >>%pathLog% echo %DATE% %TIME% [ERROR] An error occured while trying to rename %VAULT%\part1 to %VAULT%\%JOBNAME%.jmf.
  exit /b 1
)
>>%pathLog% echo %DATE% %TIME% [INFO] Renamed %VAULT%\part1 to %VAULT%\%JOBNAME%.jmf

move /y "%VAULT%\part2" "%VAULT%\%JOBNAME%.jdf"
if %ERRORLEVEL% NEQ 0 (
  >>%pathLog% echo %DATE% %TIME% [ERROR] An error occured while trying to rename %VAULT%\part2 to %VAULT%\%JOBNAME%.jdf.
  exit /b 1
)
>>%pathLog% echo %DATE% %TIME% [INFO] Renamed %VAULT%\part2 to %VAULT%\%JOBNAME%.jdf

:next_module
move /y "%INPUT%" "%OUTPUT%"
>>%pathLog% echo %DATE% %TIME% [INFO] Copied %INPUT% to %OUTPUT%

:success 
>>%pathLog% echo %DATE% %TIME% [INFO] Done
exit /b 0